#!/usr/bin/env python3

from enum import Enum
from pathlib import Path
from typing import List, Optional

from baobaxia.saberes import Saber


class ArtigoStatus(str, Enum):
    draft = "draft"
    published = "published"


class Artigo(Saber):
    titulo: str
    path: Path = Path("blog")
    status: ArtigoStatus = ArtigoStatus.draft
    tags: List[str] = []
