#!/usr/bin/env python3

from enum import Enum
from pathlib import Path
from typing import Dict, List, Optional

from baobaxia.saberes import Saber


class MidiaTipo(str, Enum):
    video = "video"
    audio = "audio"
    imagem = "imagem"
    arquivo = "arquivo"


class MidiaStatus(str, Enum):
    draft = "draft"
    published = "published"


class Midia(Saber):
    titulo: str
    descricao: Optional[str] = None
    autor: Optional[str] = None
    mocambo: Optional[str] = None
    tipo: Optional[MidiaTipo] = None
    status: MidiaStatus = MidiaStatus.draft
    tags: List[str] = []
