#!/usr/bin/env python3
import pytest
from loguru import logger


def login(client):
    # -d 'grant_type=&username=saci&password=livre&scope=&client_id=&client_secret='
    data = {
        "username": "mocambola",
        "password": "livre",
        "grant_type": "",
        "client_id": "",
        "client_secret": "",
    }
    _header = {"Content-Type": "application/x-www-form-urlencoded"}

    response = client.post("/api/v2/token", data=data, headers=_header)
    logger.debug(f"Response {response.json()}")
    return response


@pytest.fixture()
def api_token(client):
    # data = {"username": "mocambola", "password": "livre"}
    # response = client.post("/api/v2/token", json=data)
    # logger.debug(f"Response {response.json()}")
    response = login(client)
    return response.json()["access_token"]


def test_get_root(client):
    response = client.get("/api/v2")
    assert response.status_code == 200


def test_authentication(client):
    # data = {"username": "mocambola", "password": "livre"}
    # response = client.post("/api/v2/token", json=data)
    response = login(client)
    assert response.status_code == 200


def test_get_mocambola_logged(client, api_token):
    #   -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJzYWNpIiwiZXhwIjoxNzExODExOTgzfQ.DAoodYzm5MPW2tRAAl4kTvAHk7k0EU-R9Yru6AR568E'
    _header = {"Authorization": f"Bearer {api_token}"}
    response = client.get("/api/v2/mocambola/logged", headers=_header)
    assert response.status_code == 200


# def test_get_session(client, api_token):
#     response = client.get("/api/v2/session", params={"token": api_token})
#     assert response.status_code == 200
#
#
# def test_get_balaio_default(client, api_token):
#     response = client.get("/api/v2/balaio/default", params={"token": api_token})
#     assert response.status_code == 200
