#!/usr/bin/env python3
from pathlib import PosixPath

from loguru import logger


def test_base(baobaxia_base):
    logger.debug(f"Baobáxia Config: {baobaxia_base.config}")
    assert baobaxia_base.config.default_balaio == "MZMAcyg"
    assert baobaxia_base.config.default_mucua == "52kCSXg"
    #     assert baobaxia_base.config.data_path == PosixPath(
    #         "tests/fixtures/bbx-base"
    #     )


def test_list_balaios(baobaxia_base, token):
    balaios_list = baobaxia_base.list_balaios()
    logger.debug(balaios_list)
    assert len(balaios_list) == 1
    balaio = balaios_list[0]
    assert balaio.name == "balaio"
    assert balaio.path == PosixPath("balaio-MZMAcyg")
    assert balaio.smid == "MZMAcyg"
    assert balaio.slug == "balaio-MZMAcyg"
    assert balaio.balaio_smid is None
    assert balaio.mucua_smid is None
    assert balaio.creator == "mocambola"
